<script>


$("#ean").on('change', searchEan);

function searchEan(event)
{


    var $ean = event.currentTarget.value;
    console.log($ean);
    var $url = '<?php echo site_url('catalogosweb/busca_Ean'); ?>';
    var $variables = { ean : $ean };
    var posting = $.post( $url, $variables );
        
         posting.done(function( data ) { 
            var obj = jQuery.parseJSON( data );           
            
            if (obj[0])
            {
                alert('Ya existe un articulo con este codigo de barras, favor de verificar')
                $('#ean').val('').focus();
            }
            
            
         });
}

$( "#clave" ).on('change', compara);

$( "#clave" ).autocomplete({
source: function (request, response) {
            $.ajax({
                url: '<?php echo site_url('captura/busca_cveArticulo'); ?>',
                dataType: "json",
                data: {
                    term : request.term,
                    idprograma : 0
                },
                success: function(data) {
                    response(data);

                }
            });
        },
minLength: 2,
select: function ( event, ui ) {
    
        $("#idArticulo").val(ui.item.id);
        $("#clave").val(ui.item.cvearticulo);
        $("#claveArticulo").val(ui.item.cvearticulo);
        $('#descripcion').html(ui.item.descripcion);                        
     
        return false;
    
    }
});

function compara(event)
{
   var $clave = event.currentTarget.value; 
   var $claveArticulo = $("#claveArticulo").val()

   if ($clave == $claveArticulo)    
   {
        
   }else{

        $("#clave").val('');
        $('#descripcion').html('');
   }
  

}

</script>